tntdb::Hostvar Class Reference

Helper class to hold a Statement and a column name. More...

`#include <statement.h>`

## Public Member Functions

| Hostvar (Statement &stmt, const std::string &name)
Statement & | getStatement ()
const std::string & | getName ()
void | setNull ()
void | setBool (bool data)
void | setInt (int data)
void | setLong (long data)
void | setUnsigned (unsigned data)
void | setUnsignedLong (unsigned long data)
void | setInt32 (int32_t data)
void | setUnsigned32 (uint32_t data)
void | setInt64 (int64_t data)
void | setUnsigned64 (uint64_t data)
void | setDecimal (const Decimal &data)
void | setFloat (float data)
void | setDouble (double data)
void | setChar (char data)
void | setString (const std::string &data)
void | setString (const char *data)
void | setUString (const cxxtools::String &data)
void | setBlob (const Blob &data)
void | setDate (const Date &data)
void | setTime (const Time &data)
void | setDatetime (const Datetime &data)
template<typename T >
void | set (const T &data)

## Detailed Description

Helper class to hold a Statement and a column name.

The documentation for this class was generated from the following file:

- tntdb/bits/statement.h